Index: bare/config/devel/autoconf-2.69-1.cfg
===================================================================
--- bare/config/devel/autoconf-2.69-1.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ bare/config/devel/autoconf-2.69-1.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -11,4 +11,6 @@
 %define autoconf_version 2.69
 
+%hash md5 autoconf-%{autoconf_version}.tar.gz 82d05e03b93e45f5a39b828dc9c6c29b
+
 #
 # The autoconf build instructions. We use 2.xx Release 1.
Index: bare/config/devel/automake-1.12.2-1.cfg
===================================================================
--- bare/config/devel/automake-1.12.2-1.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ bare/config/devel/automake-1.12.2-1.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -11,4 +11,6 @@
 %define automake_version 1.12.2
 
+%hash md5 automake-%{automake_version}.tar.gz e620cb9e0259159341c0e0d6b712b67a
+
 #
 # The automake build instructions. We use 1.xx Release 1.
Index: rtems/config/tools/rtems-binutils-2.20.1-1.cfg
===================================================================
--- rtems/config/tools/rtems-binutils-2.20.1-1.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ rtems/config/tools/rtems-binutils-2.20.1-1.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -8,5 +8,8 @@
 %define binutils_version 2.20.1
 
+%hash md5 binutils-%{binutils_version}.tar.bz2 2b9dc8f2b7dbd5ec5992c6e29de0b764
+
 %patch add binutils %{rtems_binutils_patches}/binutils-2.20.1-rtems4.10-20100826.diff
+%hash md5 binutils-2.20.1-rtems4.10-20100826.diff 733899876e0b32ce0700666b29662d91
 %ifos win32 mingw ming32 cygwin
  %patch add binutils %{rtems_binutils_patches}/cygwin/binutils-2.20.1-cygwin-w64-20130324.diff
Index: rtems/config/tools/rtems-gcc-4.4.7-newlib-1.18.0-1.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-4.4.7-newlib-1.18.0-1.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ rtems/config/tools/rtems-gcc-4.4.7-newlib-1.18.0-1.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -24,12 +24,26 @@
 %define with_iconv   1
 
+%hash md5 gcc-core-%{gcc_version}.tar.bz2 3bda0831d654964ee152c46fa8d29e46
+%hash md5 gcc-g++-%{gcc_version}.tar.gz 421ba1dfe821f32998b28ee40e71dd37
+%hash md5 newlib-%{newlib_version}.tar.gz 3dae127d4aa659d72f8ea8c0ff2a7a20
+
+#
+# Hash checksums of the libraries used in GCC.
+#
+%hash md5 mpfr-%{mpfr_version}.tar.bz2 89e59fe665e2b3ad44a6789f40b059a0
+%hash md5 mpc-%{mpc_version}.tar.gz    5b34aa804d514cc295414a963aedb6bf
+%hash md5 gmp-%{gmp_version}.tar.bz2   041487d25e9c230b0c42b106361055fe
+
 #
 # The RTEMS 4.10 patches
 #
 %patch add gcc %{rtems_gcc_patches}/gcc-core-4.4.7-rtems4.10-20120314.diff
+%hash md5 gcc-core-4.4.7-rtems4.10-20120314.diff 084c9085c255b1f6a9204e239dde0579
 %if %{enable_cxx}
  %patch add gcc %{rtems_gcc_patches}/gcc-g++-4.4.7-rtems4.10-20120314.diff
+ %hash md5 gcc-g++-4.4.7-rtems4.10-20120314.diff e187db20f6d98048368f9ef86f9126dc
 %endif
 %patch add newlib %{rtems_newlib_patches}/newlib-1.18.0-rtems4.10-20110518.diff
+%hash md5 newlib-1.18.0-rtems4.10-20110518.diff e6508b36490d841b00d5011ed11cdc16
 
 #
Index: rtems/config/tools/rtems-gdb-7.3.1-1.cfg
===================================================================
--- rtems/config/tools/rtems-gdb-7.3.1-1.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ rtems/config/tools/rtems-gdb-7.3.1-1.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -8,5 +8,8 @@
 %define gdb_version 7.3.1
 
+%hash md5 gdb-%{gdb_version}.tar.bz2 b89a5fac359c618dda97b88645ceab47
+
 %patch add gdb %{rtems_gdb_patches}/gdb-7.3.1-rtems4.10-20120918.diff
+%hash md5 gdb-7.3.1-rtems4.10-20120918.diff 81607fc7366fe2ee0a2c8f991929acdc
 
 #
Index: rtems/config/tools/rtems-kernel-4.10.2.cfg
===================================================================
--- rtems/config/tools/rtems-kernel-4.10.2.cfg	(revision d3629a9baecb59f2cfd4b8dea0cb07b0346c713b)
+++ rtems/config/tools/rtems-kernel-4.10.2.cfg	(revision 1c3547fcf76a9d9e9dcd9e3a50e863c09835e21c)
@@ -7,9 +7,12 @@
 
 %define rtems_kernel_version 4.10.2
+
+%hash md5 rtems-%{rtems_kernel_version}.tar.bz2 158566d0f1330d4eaba5a60e757d3dd0
+
 #
 # The code in git needs to be bootstrapped. Do each build because we have
 # no way to change what changes may have happened in the code.
 #
-%define rtems_bootstrap
+%define rtems_bootstrap 0
 
 #
